# Method: metagame.getMetagameConfig

- [HTTP request](https://developer.android.com/games/services/web/api/rest/v1/metagame/getMetagameConfig#body.HTTP_TEMPLATE)
- [Request body](https://developer.android.com/games/services/web/api/rest/v1/metagame/getMetagameConfig#body.request_body)
- [Response body](https://developer.android.com/games/services/web/api/rest/v1/metagame/getMetagameConfig#body.response_body)
  - [JSON representation](https://developer.android.com/games/services/web/api/rest/v1/metagame/getMetagameConfig#body.MetagameConfig.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developer.android.com/games/services/web/api/rest/v1/metagame/getMetagameConfig#body.aspect)
- [Try it!](https://developer.android.com/games/services/web/api/rest/v1/metagame/getMetagameConfig#try-it)

Return the metagame configuration data for the calling application.

### HTTP request

`GET https://games.googleapis.com/games/v1/metagameConfig`

### Request body

The request body must be empty.

### Response body

The metagame config resource

If successful, the response body contains data with the following structure:

|                                                                               JSON representation                                                                               |
|---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
| ``` { "currentVersion": integer, "playerLevels": [ { object (https://developer.android.com/games/services/web/api/rest/v1/players#Player.PlayerLevel) } ], "kind": string } ``` |

|                                                                              Fields                                                                              ||
|------------------|------------------------------------------------------------------------------------------------------------------------------------------------|
| `currentVersion` | `integer` Current version of the metagame configuration data. When this data is updated, the version number will be increased by one.          |
| `playerLevels[]` | `object (`[PlayerLevel](https://developer.android.com/games/services/web/api/rest/v1/players#Player.PlayerLevel)`)` The list of player levels. |
| `kind`           | `string` Uniquely identifies the type of this resource. Value is always the fixed string`games#metagameConfig`.                                |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/games`
- `
  https://www.googleapis.com/auth/games_lite`

For more information, see the[OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).